# this macro is needed for bumping version of lua
%global luaver %(lua -e "print(string.sub(_VERSION, 5))" || echo 0)
%define lualibdir %{_libdir}/lua/%{luaver}
%define luapkgdir %{_datadir}/lua/%{luaver}

Name:           lua-expat
Version:        1.3.0
Release:        20
Summary:        A SAX XML parser based on the Expat library
License:        MIT
URL:            http://www.keplerproject.org/luaexpat/
Source0:        http://matthewwild.co.uk/projects/luaexpat/luaexpat-%{version}.tar.gz

Patch6000: 	lua-expat-1.3.0-improve-test.patch

BuildRequires:  lua >= %{luaver} lua-devel >= %{luaver} gcc expat-devel 
Requires:       lua(abi) = %{luaver}

%description
LuaExpat is a SAX XML parser based on the Expat library.SAX is the Simple API for XML,
process a XML document incrementally, thus being able to handle huge documents without
memory penalties, register handler functions which are called by the parser during the
processing of the document, handling the document elements or text.

%package_help

%prep
%autosetup -n luaexpat-%{version} -p1

%build
%make_build LUA_V=%{luaver} LUA_CDIR=%{lualibdir} LUA_LDIR=%{luapkgdir} LUA_INC=-I%{_includedir} EXPAT_INC=-I%{_includedir} \
  CFLAGS="%{optflags} -fPIC -std=c99" LDFLAGS="%{?__global_ldflags}"

%install
%make_install LUA_CDIR=%{lualibdir} LUA_LDIR=%{luapkgdir}

%check
lua -e 'package.cpath="./src/?.so;"..package.cpath; dofile("tests/test.lua");'
lua -e 'package.cpath="./src/?.so;" .. package.cpath; package.path="./src/?.lua;" .. package.path; dofile("tests/test-lom.lua");'

%pre

%preun

%post

%postun

%files
%defattr(-,root,root)
%doc README
%{lualibdir}/*
%{luapkgdir}/*

%files help
%defattr(-,root,root)
%doc doc/us/*

%changelog
* Fri Jul 23 2021 yuanxin<yuanxin24@huawei.com> - 1.3.0-20
- remove BuildRequires gdb

* Fri Aug 14 2020 shenyangyang<shenyangyang4@huawei.com> - 1.3.0-19
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:Modify macro of luaver for bumping version of lua

* Wed Aug 12 2020 wenzhanli<wenzhanli2@huawei.com> - 1.3.0-18
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:Fix unresolvable because lua roll back version 5.3.5

* Fri Aug 7 2020 wenzhanli<wenzhanli2@huawei.com> - 1.3.0-17
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:Fix make test because lua update version 5.4.0

* Thu Mar 19 2020 openEuler Buildteam <buildteam@openeuler.org> - 1.3.0-16
- add necessary BuildRequires

* Fri Aug 30 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.3.0-15
- Build for Help Package

* Fri Aug 30 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.3.0-14
- Package init
